<!DOCTYPE html>
<!-- [QPRTemplateStart: tablefilterdesigner.tpl] -->
<html>
  <head>
    <title><#LocalizedText id="View Filter Designer"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>
    <#PortalScript>
    <script type="text/javascript">
      ResizePopupWindow();
    </script>

<#Include template="jsobjectqueryutils.tpl">

<script type="text/javascript" src="<#CommonScriptFileLocation>tablefilterdesigner.js"></script>    

<script type="text/javascript">
var _oSelectedUser, _sFieldCustomizationMode, _oSelectedField;
var _oPrevShownDiv, _oPrevShownFieldDiv;

var _iCurrentYear, _iCurrentMonth, _iCurrentDay;
function InitCurrentDate(viYear, viMonth, viDay)
{
  _iCurrentYear = viYear;
  _iCurrentMonth = viMonth;
  _iCurrentDay = viDay;
}  
<#InitializeCurrentDate function="InitCurrentDate">

function OnHelp()
{
  OpenHelpWindow(sDecodeURI('<#HelpURL>?shared_tablefilterdesignerview.htm'));
}

function OnSelectUsers(vsCallbackFunctionName)
{
  var sParams = ACT_PARAM_MULTISELECT + '=' + ACT_PARAM_MULTISELECT_DENY + '&' + ACT_PARAM_VIEWTYPE + '=' + ACT_PARAM_VIEWTYPE_BOTH + '&' + ACT_PARAM_CALLBACK + '=' + vsCallbackFunctionName + '&' + ACT_PARAM_USV_PRODUCT_TYPE + '=' + PR_ANY + '&' + ACT_PARAM_CALLBACK_TYPE + '=' + ACT_PARAM_CALLBACK_TYPE_ARRAY;
  if (_oSelectedUser) {
    var iPos = _oSelectedUser.psObjectId.lastIndexOf("_");
    if (iPos >= 0) {
      var iUserId = SafeParseInt(_oSelectedUser.psObjectId.slice(iPos + 1));
      sParams = ACT_PARAM_SELECTION + '=' + iUserId + '&' + sParams;
    }
  }
  OpenUserSelectionWindow('<#UserSelectionViewURL>&' + sParams, 'TableFilterDesigner_UserSelection');
}

var _sRoot, _iModelId, _sSeriesSelectionURL, _sPeriodSelectionURL, _iSCId;
$(document).ready(function () {
    if (typeof OnLoad == "function")
      OnLoad();

    _sRoot = sGetParameterWithAlias(ACT_PARAM_QUERY_ROOT, ACT_PARAM_QUERY_ROOT_SHORT, document.location.href);
    _iModelId = iExtractModelId(_sRoot);
    if (isNaN(_iModelId))
      _iModelId = sGetParameter("MOD", sGetDocumentLocation());

    _sSeriesSelectionURL = "<#SeriesSelectionViewURL>&MOD=" + _iModelId + "&RANGELIMITS=1";
    _sPeriodSelectionURL = "<#PeriodSelectionViewURL>&MOD=" + _iModelId;
    _iSCId = iExtractObjectId(_sRoot);
    if (!isNaN(_iSCId)) {
      _sSeriesSelectionURL = sSetParameter("OBJ", _iSCId, _sSeriesSelectionURL);
      _sPeriodSelectionURL = sSetParameter("OBJ", _iSCId, _sPeriodSelectionURL);
    }    
});
</script>
  </head>

  <body class="PopupView" style="margin-top: 0px">
    <form name="formFilterDesigner" action="#" method="post">
      <div id="PopupHeader">
        <img src="<#PortalImageFileLocation>header_icon_manage.png" />
        <h1>
          <#LocalizedText id="View Filter Designer">
        </h1>
      </div>
      <div class="PopupContent">
        <table class="GroupedPropertyForm" cellpadding="0" cellspacing="0" border="0">
          <tr>
            <td>
              <div class="PropertyFormGroupWrapper">
                <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0">
                  <caption>
                    <#LocalizedText id="Specify Filter Conditions">
                  </caption>
                  <tr valign="top">
                    <td style="width: 50px; height: 100%;">
                      <select name="cbxBinaryOperator" size="1" onchange="javascript:OnBinaryOperatorSelected();"  style="width: 50px">
                        <option value="1" selected>
                          <#LocalizedText id="or">
                        </option>
                        <option value="2" selected>
                          <#LocalizedText id="and">
                        </option>
                      </select>
                    </td>
                    <td style="width: 100%; vertical-align: top;">
                      <select name="cbxField" size="1" onchange="javascript:OnFieldSelected();" style="width: 100%;">
                      </select>
                      <div id="divmeasurevaluevaluefield" style="display: none;">
                        <#Include template="measureseriesandperiodselection.tpl">
                      </div>
                      <div id="divCustomAttributevaluefield" style="display: none;">
                        <#Include template="customattributeselection.tpl">
                      </div>
    <div id="empty" style="width: 345px;"></div>
                    </td>
                    <td valign="top" style="width: 200px;">
                      <div id="divstringvalue" style="display: none">
                        <select name="cbxStringCondition" size="1" style="width: 200px;">
                        </select>
                        <br />
                        <textarea name="txtStringValue" style="width: 100%; height: 140px;"></textarea> 
                      </div> 
                      <div id="divnumbervalue" style="display: none">
                        <select name="cbxNumberCondition" size="1" style="width: 200px;">
                        </select>
                        <br />
                        <input type="text" name="txtNumberValue" value="" size="60" maxlength="255" style="width: 100%;" />
                      </div>
                      <div id="divenumerationvalue" style="display: none">
                        <select size="1" disabled="true" style="width: 200px;">
                          <option value="1" selected>
                            <#LocalizedText id="is any of the following:">
                          </option>
                        </select>
                        <br />
                        <select name="cbxEnumeration" size="8" multiple="multiple" style="width: 200px; height: 140px;">
                        </select>
                      </div>
                      <div id="divuservalue" style="display: none">
                        <select name="cbxUserCondition" size="1" style="width: 200px;" onchange="javascript:OnUserConditionChanged();">
                        </select>
                        <br />
                        <table border="0" cellspacing="0" cellpadding="0" style="width: 100%">
                          <tr>
                            <td style="width: 100%">
                              <input type="text" name="txtUserValue" readonly="true" value="" size="60" maxlength="255" style="width: 100%;" />
                            </td>
                            <td>
                              <input class="Button" type="button" name="btnSelectUser" value="<#LocalizedText id="Select...">" onclick="javascript: OnSelectUsers('OnCloseUserSelection');">
                            </td>
                          </tr>
                        </table>
                      </div>
                      <div id="divusersvalue" style="display: none">
                        <select name="cbxUsersCondition" size="1" style="width: 200px;" onchange="javascript:OnUsersConditionChanged();">
                        </select>
                        <br />
                        <table border="0" cellspacing="0" cellpadding="0" style="width: 100%">
                          <tr>
                            <td style="width: 100%">
                              <input type="text" name="txtUsersValue" readonly="true" value="" size="60" maxlength="255" style="width: 100%;" />
                            </td>
                            <td>
                              <input class="Button" type="button" name="btnSelectUsers" value="<#LocalizedText id="Select...">" onclick="javascript: OnSelectUsers('OnCloseUsersSelection');">
                            </td>
                          </tr>
                        </table>
                      </div>
                      <div id="divdatevalue" style="display: none">
                        <select name="cbxDateCondition" size="1" style="width: 200px;">
                        </select>
                        <br />
                        <#LocalizedText id="Year">
                        <br />
                        <input type="text" name="txtYear" value="" size="4" maxlength="4" />
                        <br />
                        <#LocalizedText id="Month">
                        <br />
                        <select name="cbxMonth" style="width: 100px;">
                        </select>
                        <br />
                        <#LocalizedText id="Day">
                        <br />
                        <select name="cbxDay" style="width: 40px;">
                        </select>
                      </div>
                      <div id="divcustomfiltervalue" style="display: none">
                        <input type="text" name="txtCustomFilter" value="" size="60" maxlength="255" style="width: 200px;" />
                      </div>
                      <div id="divmeasurevaluevalue" style="display: none">
                        <select name="cbxMeasureValueCondition" size="1" style="width: 200px;">
                        </select>
                        <br />
                        <input type="text" name="txtMeasureValueValue" value="" size="60" maxlength="255" style="width: 100%;" />
                        <br />
                        <br />
                        <input type="checkbox" id="chkTextualMeasureValueCondition" name="chkTextualMeasureValueCondition" onClick="OnToggleTextualMeasureValueCondition()" />
                        <label for="chkTextualMeasureValueCondition"><#LocalizedText id="Text"></label>
                      </div>
                      <div id="divrolevalue" style="display: none">
                        <select name="cbxRoleCondition" size="1" style="width: 200px;" onchange="javascript:OnRoleConditionChanged();">
                        </select>
                        <br />
                        <textarea name="txtRoleValue" style="width: 100%; height: 60px;"></textarea>
                        <br />
                        <select name="cbxRoleUserCondition" disabled="true" size="1" style="width: 200px;" onchange="javascript:OnRoleUserConditionChanged();">
                        </select>
                        <br />
                        <table border="0" cellspacing="0" cellpadding="0" style="width: 100%">
                          <tr>
                            <td style="width: 100%">
                              <input type="text" name="txtRoleUserValue" readonly="true" value="" size="60" maxlength="255" style="width: 100%;" />
                            </td>
                            <td>
                              <input class="Button" type="button" disabled="true" name="btnSelectRoleUser" value="<#LocalizedText id="Select...">" onclick="javascript: OnSelectUsers('OnCloseRoleUserSelection');">
                            </td>
                          </tr>
                        </table>
                      </div>
                    </td>
                  </tr>
                </table>
              </div>
            </td>
          <tr>
          <tr>
            <td>
              <div class="PropertyFormGroupWrapper">
                <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0">
                  <caption>
                    <#LocalizedText id="Current Filters">
                  </caption>
                  <tr valign="top">
                    <td style="width: 100%">                 
                      <table style="width: 100%; table-layout:fixed;" border="0" cellspacing="0" cellpadding="0">
                        <tr>
                          <td>
                            <select name="lstConditions" size="6" onchange="javascript:OnConditionSelected();" multiple="multiple" style="width: 100%;">
                            </select>
                          </td>
                        </tr>
                      </table>                   
                    </td>
                    <td class="StaticButtonColumn">                             
                      <input type="button" name="btnAdd" value="<#LocalizedText id="Add">" onclick="javascript: OnAdd();">
                      <br />
                      <input type="button" name="btnRemove" value="<#LocalizedText id="Remove">" onclick="javascript: OnRemove();">
                    </td>
                  </tr>
                </table>
              </div>
            <td>
          </tr>
        </table>
      </div>
      <div id="DetailsFooter">
        <input type="button" class="ButtonRight" name="btnHelp" value="<#LocalizedText id="Help">" onclick="javascript: OnHelp();">
        <input type="button" class="ButtonRight" name="btnCancel" value="<#LocalizedText id="Cancel">" onclick="javascript: OnCancel();">
        <input type="button" class="ButtonRight" name="btnOk" value="<#LocalizedText id="OK">" onclick="javascript: OnOk();">
      </div>
    </form>
  </body>
</html>
<!-- [QPRTemplateEnd: tablefilterdesigner.tpl] -->
