<!DOCTYPE html>
<!-- [QPRTemplateStart: AvailableModels.tpl] -->
<html>
<head>
  <title>QPRPortal - <#Title></title>
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
  <#stylesheet>
  <#PortalScript>

<script type="text/javascript">
ResizePopupWindow();

var g_resultHandler = null;

function callFunction(actionURL, resultHandler)
{
  // Ignore further calls until the result for the previous call is received
  if (g_resultHandler)
    return; 

  // Make the call
  g_resultHandler = resultHandler;

  oGetWorkerFrame().src = actionURL;
}

function callResult(result, data) 
{ 
  // Call the client specified result handler function
  // Set the result handler to null so that the callback function can send another request right away
  var callback = g_resultHandler;
  g_resultHandler = null;
  // callback may not be defined if user returns to this view using the back button
  if (callback)
    callback(result, data);
}

function oGetUserFrame()
{
  return document.getElementById("_TREE");
}

function oGetWorkerFrame()
{
  return document.getElementById("_WORKER");
}

function UpdateHierarchyParameters(vsParameters)
{
  var undefined;
  if (bHasValidOpener(window) && (window.opener.UpdateHierarchyParameters)) {
    window.opener.UpdateHierarchyParameters(vsParameters);
  }
  window.close();
}

function OpenModelLink(vsModelId)
{
  _sModelId = vsModelId;
  var iModelId = iExtractModelId(vsModelId);

  var oInformationView = oGetInformationView();
  if (oInformationView && bExists(oInformationView.OnModelSelectionClosed)) {
    oInformationView.OnModelSelectionClosed(iModelId);
    parent.close();
    return;    
  }

  UpdateHierarchyParameters("MODELID=" + iModelId);
}

function OnLoad()
{
  var oMainView = oGetMainView();
  if (oMainView && oMainView.OnServerCookieViewLoaded) {    
      oMainView.OnServerCookieViewLoaded(self);
  }
}

function OnUnload()
{
  var oMainView = oGetMainView();
  if (oMainView && oMainView.OnServerCookieViewUnloaded)
    oMainView.OnServerCookieViewUnloaded(self);
}

function OnCookieLoaded(voContainer)
{
  var sURL = sSetParameter(ACT_PARAM_TEMPLATE, "modelhierarchytreeview.tpl", sGetDocumentLocation());

  _sModelId = sGetModelId("processes", "MODELID");
  if (!_sModelId || (_sModelId == ""))
    _sModelId = voContainer.sGetValue("PG_ModelSelection_MODELID");
  else
    _sModelId = sCreateExternalObjectId(PR_PG, _sModelId, -2);

  if (_sModelId)
    sURL = sSetParameter("OID", _sModelId, sURL);
  
  var sShowOldModelVersions = sGetParameter("SOMV", sGetDocumentLocation());
  if (!sShowOldModelVersions) {
    sShowOldModelVersions = voContainer.sGetValue("PG_ModelSelection_SOMV");
    if (sShowOldModelVersions == "")
      sShowOldModelVersions = "0"; // Show old model versions is false by default
  }
  if (sShowOldModelVersions)
    sURL = sSetParameter("SOMV", sShowOldModelVersions, sURL);

  oGetUserFrame().src = sURL; 
}

function AddCookieState(voContainer)
{
  voContainer.SetValue("PG_ModelSelection_MODELID", _sModelId);
  var oUserFrameWindow = $(oGetUserFrame())[0].contentWindow;
  if (oUserFrameWindow && oUserFrameWindow.sGetParameter && oUserFrameWindow.sGetDocumentLocation)
    voContainer.SetValue("PG_ModelSelection_SOMV", (oUserFrameWindow.sGetParameter("SOMV", oUserFrameWindow.sGetDocumentLocation()) === "1") ? "1" : "0");
}

</script>

</head>
<body style="width: 100%; height: 100%; overflow: hidden;" onLoad="OnLoad()" onUnload="OnUnload()">
  <iframe id="_TREE" src="<#PageFileLocation>empty.html" style="position: absolute; left: 0px; top: 0px; width: 100%; height: 100%; overflow: hidden; border: 0px" frameBorder="0"></iframe>
  <iframe id="_WORKER" name="_WORKER" src="<#PageFileLocation>empty.html" style="display: none;" frameBorder="0"></iframe>
</body>
</html>
<!-- [QPRTemplateEnd: AvailableModels.tpl] -->
