<!DOCTYPE html>
<!-- [QPRTemplateStart: customhierarchyframeview.tpl] -->
<html>
  <head>
    <title><#Title></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>

    <script type="text/javascript" src="<#CommonScriptFileLocation>navigatorview.js"></script> 

<#Include template="jsportaltoolbarutils.tpl">
<#Include template="jsobjectqueryhierarchyutils.tpl">
<#Include template="jsutils.tpl">
<#Include template="jsactioncallutils.tpl">

<script type="text/javascript">
  _sTreeName = "ElementNavigatorView" + (new Date()).getTime(); 
  _sNavigatorTreeViewTemplate = "customhierarchytreeview.tpl";
  _sNavigatorViewCookiePrefix = "CustomNavigatorView";
  _sBookmarkExpandedData = "<#Parameter name="EXPANDED">";
  _bBookmarkExpandedReloadNeeded = (_sBookmarkExpandedData != "");

  function getHelpContext() { return "pg_navigator.htm"; }

  function bIsReloadPending()
  {
    return _bBookmarkExpandedReloadNeeded;
  }
  
  function bIsViewCompleted()
  {
    return _bTreeLoaded;
  }
  
  function sGetRootName()
  {
    return sGetPureRootName() + ' <#PendingValueUpdatesWarning>';
  }

  function sGetPureRootName()
  {
    return _sRootObjectName;
  }
  
  function sGetBookmarkDefaultName()
  {
    var sBookmarkName = "<#LocalizedText id="Navigator view" enc="js">";
    var sObjectName = sGetPureRootName();
    if (sObjectName.length > 0)
      sBookmarkName = sObjectName + " (" + sBookmarkName + ")";
    return sBookmarkName;
  }
  
  function sGetHeaderViewRightHTML()
  {
    return "";
  }
  
  function sModifyInformationViewUrlForDetailsPane(vsUrl)
  {
    var sCurrentUrl = sGetDocumentLocation();
    if (sGetPlugin(vsUrl) === sGetPlugin(sCurrentUrl))
      vsUrl = sSetParameter("DEP", "1", vsUrl);
    return vsUrl;
  }

  CopyParametersToHierarchyViewParameters("PGNA_");
</script>

</head>

<body onLoad="OnLoadEx()" style="height: 100%; overflow: hidden;">
<script type="text/javascript">
  if (!_bBookmarkExpandedReloadNeeded) {
    document.write('<iframe style="position: absolute; width: 100%; height: 100%;" src="<#PageFileLocation>empty.html" id="' + _sTreeName + '" name="' + _sTreeName + '" frameborder="0"><\/iframe>');
  }
</script>
</body>
</html>
<!-- [QPRTemplateEnd: customhierarchyframeview.tpl] -->
