<!DOCTYPE html>
<!-- [QPRTemplateStart: infitemdet.tpl] -->

<html>
<head>
<title><#Title></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">

<#PortalScript>
<script type="text/javascript" src="<#pgpluginjscriptfile>"></script>

<#stylesheet>

<#Include template="jsportaltoolbarutils.tpl">
<#Include template="jspgdetailspaneutils.tpl">

<script type="text/javascript">
function sGetViewId()
{
  return "<#ObjectId>";
}

function sGetCommonToolbarHTML()
{
  return sGetDefaultToolbarButtonsWithActions();
}

function sGetHelpFile()
{
	return "<#HelpFileURL>?DetailViewforInformationIt.htm";
}

function OnOpenedInDetailsPane()
{
}
</script>
</head>

<body onload="javascript: UpdateInformationViewToolbarsFromInformationView();" onUnload="UpdateInformationViewToolbarsFromInformationView(true);">
  <div id="PropertyListWrapper" class="PropertyList">
    <#Include template="pg_detailsview_description_simple.tpl">

    <div class="PropertyListTable DetailsPaneExclude">
      <table cellspacing="0" cellpadding="0">
        <#Include template="pg_detailsview_firsttablecaptionstart.tpl">
          <#LocalizedText id="Information">
        </caption>
  
    		<tr style="<#IsSectionVisible id="Name" false="display: none">">
    			<th class="Vertical"><#HName></th>
    			<td><#Name></td>
    		</tr>

  			<tr style="<#IsSectionVisible id="Symbol" false="display: none">">
  				<th class="Vertical"><#LocalizedText id="Symbol"></th>
  				<td><#Symbol></td>
  			</tr>

    		<tr id="InformationItemLinkedOrEmbedded" class="DetailsPanePropertyRow" style="<#IsSectionVisible id="LinkedOrEmbedded" false="display: none">">
    			<th class="Vertical"><#HLinkedOrEmbedded></th>
    			<td><#LinkedOrEmbedded></td>
    		</tr>
    
    		<tr style="<#IsSectionVisible id="Description" false="display: none">">
    			<th class="Vertical"><#HDescription></th>
    			<td class="MultiLineStringField"><#Description></td>
    		</tr>
    
    		<tr id="InformationItemType" class="DetailsPanePropertyRow" style="<#IsSectionVisible id="InfItemType" false="display: none">">
    			<th class="Vertical"><#HInfItemType></th>
    			<td><#InfItemType></td>
    		</tr>
    
    		<tr id="InformationItemLink" class="DetailsPanePropertyRow" style="<#IsSectionVisible id="InfItemLoc" false="display: none">">
    			<th class="Vertical"><#HInfItemLink></th>
          <td><script type="text/javascript">
  var _sInformationItemUrl = sAddJavascriptEscapes('<#Object attribute="InfoItem.linklocation" enc="script">');
  if (_sInformationItemUrl)
    document.write('<a href="javascript:OpenInformationItemLocation(\'' + _sInformationItemUrl + '\', <#Object attribute="InfoItem.isembedded" true="true" false="false">);" ><#Object attribute="InfoItem.location" enc="html"><\/a>');
</script></td>
      </tr>
    </table>

<#BeginSection id="ParentInfItems">
      <table id="ParentInformationItems" class="PropertyListSubTable DetailsPanePage" cellspacing="0" cellpadding="0">
        <!--parent info items-->
        <tr>
     			<th class="Vertical"><#HParentInfItems></th>
     			<td><table border="0" width="100%" cellpadding="0" cellspacing="0">
            <#ParentInfItems template="">
            <!--cell template sample is tablerow_singlecell.tpl-->
          </table></td>
      	</tr>
      </table>
<#EndSection>

<#BeginSection id="ChildInfItems">
      <table id="ChildInformationItems" class="PropertyListSubTable DetailsPanePage" cellspacing="0" cellpadding="0">
        <!--child info items-->
        <tr>
     			<th class="Vertical"><#HChildInfItems></th>
     			<td><table border="0" width="100%" cellpadding="0" cellspacing="0">
            <#ChildInfItems template="">
            <!--cell template sample is tablerow_singlecell.tpl-->
          </table></td>
      	</tr>
      </table>
<#EndSection>

<#BeginSection id="UsedIn">
      <table id="UsedIn" class="PropertyListSubTable DetailsPanePage" cellspacing="0" cellpadding="0">
        <!--used in-->
        <tr>
     			<th class="Vertical"><#HUsedIn></th>
     			<td><table border="0" width="100%" cellpadding="0" cellspacing="0">
            <#UsedIn template="">
            <!--cell template sample is tablerow_singlecell.tpl-->
          </table></td>
      	</tr>
      </table>
<#EndSection>
    </div>

<#BeginSection id="TransferredBetween">
    <table id="TransferredBetween" class="PropertyListTable DetailsPanePage" cellspacing="0" cellpadding="0">
      <!--transferred between-->
    	<caption><#HTransferredBetween></caption>
   		<tr>
				<th><#HFrom></th>
				<th><#HTo></th>
			</tr>
      <#TransferredBetween template="">
      <!--cell template sample is tablerow_singlecell.tpl-->
<#EndSection>

<#Include template="pg_detailsview_custom_attributes.tpl">
</div>

<#Include template="pg_detailsview_footer.tpl">

</body>
</html>
<!-- [QPRTemplateEnd: infitemdet.tpl] -->
