<!DOCTYPE html>
<!-- [QPRTemplateStart: resdet.tpl] -->

<html>
<head>
<title><#Title></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">

<#PortalScript>
<script type="text/javascript" src="<#pgpluginjscriptfile>"></script>

<#stylesheet>

<#Include template="jsportaltoolbarutils.tpl">
<#Include template="jspgdetailspaneutils.tpl">

<script language="JavaScript" type="text/javascript">

function sGetViewId()
{
  return "<#ObjectId>";
}

function sGetCommonToolbarHTML()
{
  return sGetDefaultToolbarButtonsWithActions();
}

function sGetHelpFile()
{
	return "<#HelpFileURL>?resources.htm";
}
</script>

</head>

<body onload="javascript: UpdateInformationViewToolbarsFromInformationView();" onUnload="UpdateInformationViewToolbarsFromInformationView(true);">
  <div id="PropertyListWrapper" class="PropertyList">
    <#Include template="pg_detailsview_description_simple.tpl">

    <div id="Information" class="PropertyListTable DetailsPaneExclude">
      <table cellspacing="0" cellpadding="0">
        <#Include template="pg_detailsview_firsttablecaptionstart.tpl">
          <#LocalizedText id="Information">
        </caption>
      	
        <tr style="<#IsSectionVisible id="Name" false="display: none">">
      		<th class="Vertical"><#HName></th>
      		<td><#Name></td>
      	</tr>

    		<tr style="<#IsSectionVisible id="Symbol" false="display: none">">
    			<th class="Vertical"><#LocalizedText id="Symbol"></th>
    			<td><#Symbol></td>
    		</tr>

      	<tr id="ResourceType" class="DetailsPanePropertyRow" style="<#IsSectionVisible id="ResourceType" false="display: none">">
      		<th class="Vertical"><#HResourceType></th>
      		<td><#ResourceType></td>
      	</tr>
      
      	<tr id="OrganizationUnit" class="DetailsPanePropertyRow" style="<#IsSectionVisible id="OrganisationUnit" false="display: none">">
      		<th class="Vertical"><#LocalizedText id="Organization Item"></th>
      		<td><#OrganisationUnit></td>
      	</tr>
      </table>

<#BeginSection id="ResourceTypeSpecificProperties">
<#BeginMaterialResourceSection>
      <table cellspacing="0" cellpadding="0">
      	<!-- Material resource specific items -->
      	<tr id="ResourceAvailable" class="DetailsPanePropertyRow">
      		<th class="Vertical"><#HUnitsAvailable></th>
      		<td><#UnitsAvailable></td>
      	</tr>
      	<tr id="ResourceUnitCost" class="DetailsPanePropertyRow">
      		<th class="Vertical"><#HUnitCost></th>
      		<td><#UnitCost></td>
      	</tr>
      	<tr id="ResourceUnitName" class="DetailsPanePropertyRow">
      		<th class="Vertical"><#HUnitName></th>
      		<td><#UnitName></td>
      	</tr>
      	<tr id="ResourceStoreSize" class="DetailsPanePropertyRow">
      		<th class="Vertical"><#HStoreSize></th>
      		<td><#StoreSize></td>
      	</tr>
      	<tr id="ResourceOrderLimit" class="DetailsPanePropertyRow">
      		<th class="Vertical"><#HOrderLimit></th>
      		<td><#OrderLimit></td>
      	</tr>
      	<tr id="ResourceOrderSize" class="DetailsPanePropertyRow">
      		<th class="Vertical"><#HOrderSize></th>
      		<td><#OrderSize></td>
      	</tr>
      	<tr id="ResourceOrderingTime" class="DetailsPanePropertyRow">
      		<th class="Vertical"><#HOrderingTime></th>
      		<td><#OrderingTime></td>
      	</tr>
      	<tr id="ResourceOrderingCost" class="DetailsPanePropertyRow">
      		<th class="Vertical"><#HOrderingCost></th>
      		<td><#OrderingCost></td>
      	</tr>
      </table>
<#EndMaterialResourceSection>
<#BeginNonMaterialResourceSection>
      <table cellspacing="0" cellpadding="0">
       	<!-- Non-material resource specific items -->
      	<tr id="ResourceAvailable" class="DetailsPanePropertyRow">
      		<th class="Vertical"><#HAmountAvailable></th>
      		<td><#AmountAvailable></td>
      	</tr>
      	<tr id="ResourceUnitCost" class="DetailsPanePropertyRow">
      		<th class="Vertical"><#HUnitCost></th>
      		<td><#UnitCost></td>
      	</tr>
      	<tr id="ResourceUnitName" class="DetailsPanePropertyRow">
      		<th class="Vertical"><#HUnitName></th>
      		<td><#UnitName></td>
      	</tr>
      </table>
<#EndNonMaterialResourceSection>
<#EndSection>

<#BeginSection id="Flows">
      <table id="Flows" class="PropertyListSubTable DetailsPanePage" cellspacing="0" cellpadding="0">
        <!--responsible flows-->
        <tr>
     			<th class="Vertical"><#HRespFlows></th>
     			<td><table border="0" width="100%" cellpadding="0" cellspacing="0">
            <#RespFlows template="">
            <!--cell template sample is tablerow_singlecell.tpl-->
          </table></td>
      	</tr>
      </table>
<#EndSection>

<#BeginSection id="ProcessSteps">
      <table id="ProcessSteps" class="PropertyListSubTable DetailsPanePage" cellspacing="0" cellpadding="0">
        <!--responsible process steps-->
     		<tr>
        	<th class="Vertical"><#HRespPsSteps></th>
     			<td><table border="0" width="100%" cellpadding="0" cellspacing="0">
            <#RespPsSteps template="">
            <!--cell template sample is tablerow_singlecell.tpl-->
          </table></td>
        </tr>
      </table>
<#EndSection>

<#BeginSection id="UsedIn">
      <table id="UsedIn" class="PropertyListSubTable DetailsPanePage" cellspacing="0" cellpadding="0">
        <!--used in-->
     		<tr>
        	<th class="Vertical"><#HUsedIn></th>
     			<td><table border="0" width="100%" cellpadding="0" cellspacing="0">
            <#UsedIn template="">
            <!--cell template sample is tablerow_singlecell.tpl-->
          </table></td>
        </tr>
      </table>
<#EndSection>

<#BeginSection id="ConnectedUsers">
      <table id="ConnectedUsers" class="PropertyListSubTable DetailsPanePage" cellspacing="0" cellpadding="0">
        <!--users that are connected to this organization item-->
     		<tr>
        	<th class="Vertical"><#HConnectedUsers></th>
     			<td><table border="0" width="100%" cellpadding="0" cellspacing="0">
            <#ConnectedUsers template="">
            <!--cell template sample is tablerow_singlecell.tpl-->
          </table></td>
        </tr>
      </table>
<#EndSection>
    </div>

<#BeginSection id="ResourceGroups">
    <table id="ResourceGroups" class="PropertyListTable DetailsPanePage" cellspacing="0" cellpadding="0">
      <!--resource groups-->
    	<caption><#HResourceGroups></caption>
   		<tr>
				<th><#HIsContainedIn></th>
				<th><#HContains></th>
			</tr>
      <#ResourceGroups template="">
      <!--cell template sample is tablerow_singlecell.tpl-->
<#EndSection>

<#BeginSection id="ResourcePools">
    <table id="ResourcePools" class="PropertyListTable DetailsPanePage" cellspacing="0" cellpadding="0">
      <!--resource pools-->
    	<caption><#HResourcePools></caption>
   		<tr>
				<th><#HIsContainedIn></th>
				<th><#HContains></th>
			</tr>
      <#ResourcePools template="">
      <!--cell template sample is tablerow_singlecell.tpl-->
<#EndSection>
    </table>

<#Include template="pg_detailsview_custom_attributes.tpl">
  </div>

<#Include template="pg_detailsview_footer.tpl">

</body>
</html>
<!-- [QPRTemplateEnd: resdet.tpl] -->
