<!DOCTYPE html>
<!-- [QPRTemplateStart: associationeditorview.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <#PortalScript>
    <script type="text/javascript" src="<#CommonScriptFileLocation>jquery.uniq.js"></script>
    <script type="text/javascript" src="<#ScriptFileLocation>tree.js"></script>

    <#stylesheet>

    <#Include template="jswsfutils.tpl">
    <#Include template="jsworkflowutils.tpl">
    
<script type="text/javascript">
  var _bCreatingNew = !sGetParameter(ACT_PARAM_ASSOCIATION_ID, sGetDocumentLocation());
  var _iAssociationTypeId = <#AssociationType>;
  var _oActionType;
</script>

<#Include template="jsactiontypes.tpl">

<script type="text/javascript">
  var bLoaded = sGetParameter("ISLOADED", sGetDocumentLocation());
  var ActualWindowHeight;

  if(self.parent.resizeTo) { 
    if (!bLoaded) {
      if (screen.availHeight * 0.9 > ASSOCIATION_EDITOR_VIEW_HEIGHT)
        ActualWindowHeight = ASSOCIATION_EDITOR_VIEW_HEIGHT
      else
        ActualWindowHeight = screen.availHeight * 0.9;

      self.parent.moveTo((screen.availWidth / 2) - (ASSOCIATION_EDITOR_VIEW_WIDTH / 2), 0); 
      self.parent.resizeTo(ASSOCIATION_EDITOR_VIEW_WIDTH, ActualWindowHeight); 
    }
  }

  var _bPersistentFieldChanged = false;
  var _bInitialized = false;  
  var aValidators = new Array();
  var _sCurrentUser = '<#UserId>';
  var _sPublishForUsers = '<#PublishForUsers>';
  var _arSelectedUsers = $.uniq(CommaStringToArray(_sPublishForUsers));
  var _bPublishForSelectedUsersListFixed = !_bCreatingNew;
  var _oAttributeStyles = <#Object attribute="AttributeStyles" format="json" empty="{}">;
  
  var _iCurrentYear, _iCurrentMonth, _iCurrentDay;
  function InitCurrentDate(viYear, viMonth, viDay)
  {
    _iCurrentYear = viYear;
    _iCurrentMonth = viMonth;
    _iCurrentDay = viDay;
  }  
  <#InitializeCurrentDate function="InitCurrentDate">
  
  var _iYearOffset = parseInt(_iCurrentYear - (new Date()).getFullYear());
  var _iMinimumUIYear = 1900 + _iYearOffset;

  function trim(s) {
    var iPos, iLen;

    iLen = s.length;
    while (s.charAt(0) == ' ')
      s = s.substring(1, iLen);

    iLen = s.length - 1;
    while (s.charAt(iLen) == ' ') {
      s = s.substring(0, iLen);
      iLen = s.length - 1;
    }

    return s;
  }

  function SubmitChanges() 
  {   
    for (var i = 0; i < aValidators.length; i++){
      if (!(aValidators[i]())) {
        return;
      }
    }
    if (trim(document.properties.HDR.value) == "") {
      alert(sDecodeURI("<#LocalizedTextMessage id="Header cannot be empty.">"));
      return;
    }

    var sSelectedUsers = FsGetPublishForSelectedUsers();
    document.properties.USRS.value = sSelectedUsers;
    document.properties.ATTIDS.value = FsGetAttachmentIds();
    document.properties.PUBTYPE.value = iGetPublishForType();
    document.properties.Ok.disabled = true;

    document.properties.submit();
  }
  
  function iGetPublishForType()
  {
    if (document.properties.PublishFor[0].checked)
      return 1;
    else if (document.properties.PublishFor[1].checked)
      return 0;
    else if (document.properties.PublishFor[2].checked)
      return 3;
    else if (document.properties.PublishFor[3].checked)
      return 2;
  }

  function SetPublishForType(viType)
  {
    switch (viType) {
      case 0:
        document.properties.PublishFor[1].checked = true;
        break;
      case 1:
        document.properties.PublishFor[0].checked = true;
        break;
      case 2:
        document.properties.PublishFor[3].checked = true;
        break;
      case 3:
        document.properties.PublishFor[2].checked = true;
        break;
    }
  }

  function RegisterValidator(validator) {
    aValidators[aValidators.length] = validator;
  }

  function OnOkButtonClick() 
  {
    SubmitChanges();
  }

  function OpenHelpView()
  {
    var sHelpPage = 'actionproperties.htm';
    if (_iAssociationTypeId == "1" || _iAssociationTypeId == "2") {
      sHelpPage = 'commentorlesson.htm';
    }  
    else if (_iAssociationTypeId == "3") {
      sHelpPage = 'actionplan.htm';
    }  
    else if (_iAssociationTypeId == "4") {
      sHelpPage = 'document.htm';
    }      
    else if (_iAssociationTypeId == "14") {
      sHelpPage = 'risk.htm';
    }
    else if (_iAssociationTypeId == "15") {
      sHelpPage = 'strategyitem.htm';
	}
	else if (_iAssociationTypeId == "18") {
      sHelpPage = 'report.htm';  
    }    
    OpenHelpWindow(sDecodeURI('<#HelpURL>') + '?' + sHelpPage);
  }

  function OnPublishForChanged()
  {
    document.properties.Users.disabled = !document.properties.PublishFor[3].checked;
    OnPersistentFieldChanged();
  }

  function arGetCurrentSelectedUsers()
  {
    var arResult = arGetUsersInResponsibleFields();
    arResult = $.uniq(CommaStringToArray(_sPublishForUsers).concat(arResult));
    return arResult;
  }
  
  function FsGetPublishForSelectedUsers()
  {
    var arResult;
    if (_bPublishForSelectedUsersListFixed)
      arResult = _arSelectedUsers;
    else
      arResult = arGetCurrentSelectedUsers();
    arResult[arResult.length] = _sCurrentUser;
    return $.uniq(arResult).join(",");
  }
  
  function OnUsersClick()
  {
    var sSelectedUsers = FsGetPublishForSelectedUsers();
    var sParams = ACT_PARAM_SELECTION + '=' + sSelectedUsers + '&' + ACT_PARAM_USV_PRODUCT_TYPE + '=' + PR_PORTAL + '&' + ACT_PARAM_FORCED_SELECTION + '=' + _sCurrentUser;
    OpenUserSelectionWindow_viaForm('<#UserSelectionViewURL>', 'ActionPublishToUserSelection', 'body', 'publishtouserselectionform', sParams);
  }

  function OnCloseUserSelection(vsSelectedUsers)
  {
    focus();
    _arSelectedUsers = CommaStringToArray(vsSelectedUsers);
    _bPublishForSelectedUsersListFixed = true;
  }
  function OnAddAttachments()
  {
    var sURL = '<#AttachmentUploadUrl>&' + ACT_PARAM_CALLBACK + '=OnCloseAttachmentUpload';
    OpenWindow(sURL, 'AttachmentUpload', 500, 190, 1, true);
  }
  function OnEditAttachments()
  {
    if(document.properties.lstAttachments.selectedIndex != -1)
    {
      var sURL = '<#AttachmentUploadUrl>&' + ACT_PARAM_ATTACHMENT_ID + '=' + FoGetSelectedAttachment().iId + '&' + ACT_PARAM_CALLBACK + '=OnCloseAttachmentEdit';
      OpenWindow(sURL, 'AttachmentUpload', 500, 190, 1, true);
    }
  }

  function OnDeleteClicked()
  {
    if (confirm(sDecodeURI("<#LocalizedTextMessage id="Are you sure you want to delete the selected attachment?">"))) {
      var iId = document.properties.lstAttachments.selectedIndex;
      OpenWindow("<#DeleteAssociationURL>&" + ACT_PARAM_ASSOCIATION_ID + "=" + FoGetSelectedAttachment().iId, "_blank", 640, 120, false, true);
      _arAttachments.splice(iId, 1);
      FUpdateAttachmentList();
      if((self.parent.opener) && (self.parent.opener.OnActionAttachmentListChanged)) {
        self.parent.opener.OnActionAttachmentListChanged();
      }
    }
  }
  function OnCloseAttachmentEdit(viId, vsLabel, vbEmbedded, vsUrl)
  {
    var oAttachment = FoGetAttachment(viId);
    oAttachment.sLabel = sDecodeURI(vsLabel);
    oAttachment.bEmbedded = vbEmbedded;
    oAttachment.sUrl = sDecodeURI(vsUrl);
    FUpdateAttachmentList();
    if((self.parent.opener) && (self.parent.opener.OnActionAttachmentListChanged)) {
      self.parent.opener.OnActionAttachmentListChanged();
    }
  }
  function OnCloseAttachmentUpload(viId, vsLabel, vbEmbedded, vsUrl)
  {
    FoNewAttachment(viId, vsLabel, vbEmbedded, vsUrl)
    FUpdateAttachmentList();
    if((self.parent.opener) && (self.parent.opener.OnActionAttachmentListChanged)) {
      self.parent.opener.OnActionAttachmentListChanged();
    }
  }
  function FoGetSelectedAttachment()
  {
    var iSelId = document.properties.lstAttachments.selectedIndex;
    if (iSelId == -1)
      return;
    return FoGetAttachment(document.properties.lstAttachments.options[iSelId].value);
  }
  function OnRefreshAttachmentList(varAttachments)
  {
    _arAttachments.length = 0;

    var i, oAttachment;
    for (i = 0; i < varAttachments.length; ++i) {
      oAttachment = varAttachments[i];
      FoNewAttachment(oAttachment.iId, oAttachment.sLabel, oAttachment.bIsEmbedded, oAttachment.sUrl);
    }

    FUpdateAttachmentList();

    if (bHasValidOpener(window) && window.opener.OnAssociationModified)
      window.opener.OnAssociationModified(false);
  }
  
  function sGetURLToAssociationEditor(viAssociationType)
  {
    var sURL = "<#VTNViewURL VTN="associationeditor" CRP="p" TPL="associationeditorview.tpl">&" + ACT_PARAM_ASSOCIATION_TYPE + "=" + viAssociationType;
    var iParent = <#AssociationParentId>;
    if (iParent != 0) {
      sURL = sURL + "&" + ACT_PARAM_ASSOCIATION_PARENT_ID + "=" + iParent +
                    "&" + ACT_PARAM_REPLY_TYPE + "=1";
    }
    var sExternalParent = "<#ParentExternalObjectId>";
    if (sExternalParent != "")
      sURL = sURL + "&" + ACT_PARAM_ASSOCIATION_PARENT_EXTERNAL_OBJECT_ID + "=" + sExternalParent;
    sURL = sURL + "&ISLOADED=true";
    return sURL;
  }

  function OpenDetailsURL(vsUrl)
  {
    if (bHasValidOpener(window)) {
      if (window.opener.OpenDetailsURL)
        window.opener.OpenDetailsURL(vsUrl);
      else if (window.opener.oGetInformationView && window.opener.oGetInformationView().OpenDetailsURL)
        window.opener.oGetInformationView().OpenDetailsURL(vsUrl)
      else
        location = vsUrl;
    }
    else
      location = vsUrl;
  }

  function OpenExternalObjectURL(vsUrl)
  {
    if (bHasValidOpener(window)) {
      if (window.opener.OpenExternalObjectURL)
        window.opener.OpenExternalObjectURL(vsUrl);
      else if (window.opener.oGetInformationView && window.opener.oGetInformationView().OpenExternalObjectURL)
        window.opener.oGetInformationView().OpenExternalObjectURL(vsUrl)
      else
        location = vsUrl;
    }
    else
      location = vsUrl;
  }
  function OnAttachmentsChange()
  {
    var iSelId = document.properties.lstAttachments.selectedIndex;
    if (iSelId == -1){ document.properties.DeleteButton.disabled = true; }
    else { document.properties.DeleteButton.disabled = false; }
  }

  function OnLoad()
  {
    if (_bCreatingNew) {
		if (document.properties.InformResponsible !== undefined)
			document.properties.InformResponsible.checked = <#NotifyViaEmail>;
      if (typeof(_oActionType) !== "undefined")
        ApplyAttributeStyles(_oActionType.poAttributeStyles);
    }
    else {
      ApplyAttributeStyles(_oAttributeStyles);
	  if (typeof(OnChangeAT_611) !== "undefined") {
	   OnChangeAT_611();
	  }
    }

    if (<#HasAttribute attributes="ParentActions,ExternalParentObjects" true="false" false="true">) {
      $("#trPublishForLinkedElements").css("display", "none");
      $("#inputPublishForLinkedElements").attr("disabled", "disabled");
    }

    if (parent && parent.bEditorFieldsSet && parent.bEditorFieldsSet()) {
      document.properties.HDR.value = parent.sGetHeader();
      document.properties.DSCR.value = parent.sGetDescription();
      if (typeof SetOwner != "undefined") {
        var oOwner = parent.oGetOwner();
        if (oOwner)
          SetOwner(oOwner);
      }
      OnRefreshAttachmentList(parent.arGetAttachmentList());
      SetPublishForType(parent.iGetPublishForType());
      var sSelectedUsers = parent.sGetSelectedUsers();
      _arSelectedUsers = CommaStringToArray(sSelectedUsers);
	  if (document.properties.InformResponsible !== undefined)
		document.properties.InformResponsible.checked = parent.bGetIsInformResponsibleChecked();
    }
    else {
      <#CreateAttachments function="FoNewAttachment">
      FUpdateAttachmentList();

      var iPublishForType = <#PublishForType>;
      document.properties.PublishFor[iPublishForType].checked = true;
    }

    OnPublishForChanged();
    OnAttachmentsChange();
    InitializeResizeHandlerForPopup(window);
    $("#body").css("display", "block");
    _bInitialized = true;
  }

  function OnPersistentFieldChanged()
  {
    if (_bInitialized)
      _bPersistentFieldChanged = true;
  }
   
  function OnUnload()
  {
    if (_bPersistentFieldChanged && parent && parent.SetEditorFields) {
      var undefined;

      parent.SetEditorFields(document.properties.HDR.value, 
                             document.properties.DSCR.value, 
                             _arAttachments, 
                             iGetPublishForType(), 
                             _arSelectedUsers.join(","),
                             document.properties.InformResponsible.checked,
                             (typeof oGetOwner != "undefined") ? oGetOwner() : parent.oGetOwner());
    }
  }

  function OnActionTypeChanged()
  {
    var oSelect = document.properties.ActionType;
    var iAssociationType = oSelect.options[oSelect.selectedIndex].value;

    window.location.replace(sGetURLToAssociationEditor(iAssociationType));
  }
  function iGetAssociationType()
  {
    var oSelect = document.properties.ActionType;
    var iAssociationType = oSelect.options[oSelect.selectedIndex].value;
  }

// ATTACHMENTS 
  var _arAttachments = new Array();

  function arGetInitialAttachmentValues()
  {
    return _arAttachments;
  }

  function FoNewAttachment(viId, vsLabel, vbIsEmbedded, vsUrl)
  {
    var oAttachment = new Object();

    oAttachment.iId = viId;
    oAttachment.sLabel = sDecodeURI(vsLabel);
    oAttachment.bIsEmbedded = vbIsEmbedded;
    oAttachment.sUrl = sDecodeURI(vsUrl);
    _arAttachments.push(oAttachment);
    return oAttachment;
  }

  function FoGetAttachment(viId)
  {  
    var i;
    for (i = 0; i < _arAttachments.length; ++i) {
      if (_arAttachments[i].iId == viId)
        return _arAttachments[i];
    }
  }

  function FUpdateAttachmentList()
  {
    document.properties.lstAttachments.options.length = 0;

    var i;
    for (i = 0; i < _arAttachments.length; ++i)
      document.properties.lstAttachments.options[i] = new Option(_arAttachments[i].sLabel, _arAttachments[i].iId);
   
    document.properties.lstAttachments.selectedIndex = -1;
    OnAttachmentsChange();
  }

  function FsGetAttachmentIds()
  {
    var i, sResult = "";
    for (i = 0; i < _arAttachments.length; ++i) {
      if (i > 0)
        sResult += ",";
      sResult += _arAttachments[i].iId;
    }
    return sResult;
  }
  
  function OnWindowWidthByObjectSize(voObjectId)
  {
    var iTableWidth = document.getElementById(voObjectId).offsetWidth;
    var iTableHeight = document.getElementById(voObjectId).offsetHeight;
    if(typeof(self.innerWidth) != 'undefined'){
      self.parent.innerWidth = iTableWidth + 16;
      self.parent.innerHeight = iTableHeight + 40;
    }
    else {
       self.parent.resizeTo(iTableWidth + 35,iTableHeight + 70);
    }
  }
  function OnTextKeyDownHandler()
  {
    var oEvent;
    if (IEANY)
      oEvent = event;
    else
      oEvent = Event;
    if (oEvent && (oEvent.keyCode == 13)) {
      oEvent.cancelBubble = true;
      oEvent.returnValue = false;
    }
  }
  
  var _arResponsibleUserAttributes = new Array();
  
  function RegisterResponsibleUserSelectionAttribute(vsAttributeId, vsCausesResponsibility)
  {
    if (vsCausesResponsibility != "1")
      return;
    _arResponsibleUserAttributes[_arResponsibleUserAttributes.length] = vsAttributeId;
  }
  
  function arGetUsersInResponsibleFields()
  {
    var arResult = new Array();
    for (var i = 0; i < _arResponsibleUserAttributes.length; ++i) {
      var sAttributeId = _arResponsibleUserAttributes[i];
      var sUsers = eval("sGetSelectedUserIds" + sAttributeId + "()");
      var arUsers = CommaStringToArray(sUsers);
      arResult = arResult.concat(arUsers);
    }
    return $.uniq(arResult);
  }

  var _arCalendars = new Array();
  var _bInCalendar = false;

  function EnterCalendar()
  {
    _bInCalendar = true;
  }

  function ExitCalendar()
  {
    _bInCalendar = false;
  }

  function MoveCalendarToBeVisible(voCalendar)
  {
    if (voCalendar && ((voCalendar.offsetTop + voCalendar.offsetHeight) > document.body.clientHeight))
      voCalendar.style.top = document.body.clientHeight - voCalendar.offsetHeight + "px";
  }

  function OnMouseUp()
  {
    for (var i = 0; i < _arCalendars.length; ++i)
      if (!_bInCalendar)
        _arCalendars[i].style.display = "none";   
  }
  
  function OnOpenChangeLog()
  {
    var sUrl = "<#FramedPageURL CRP="p" template="associationchangelogview.tpl">";
    sUrl = sSetAction(sUrl, ACT_POR_ASSOCIATION_DETAILS_VIEW);
    OpenWindow(sUrl, "ChangeLog", 700, 300, false, true);
  }

  function oGetWorkflowTicketRootNode()
  {
    if (!_bCreatingNew)
      return $("#tbodyWorkflows");
  }

  function oGetWorkflowRootNode()
  {
    if (!_bCreatingNew)
      return $("#tbodyWorkflows");
  }
</script>

<#Include template="jsassociationutils.tpl">

<link rel="stylesheet" type="text/css" href="<#CommonScriptFileLocation>calendar/assets/skins/sam/calendar.css">
<script type="text/javascript" src="<#CommonScriptFileLocation>yahoo-dom-event/yahoo-dom-event.js"></script>
<script type="text/javascript" src="<#CommonScriptFileLocation>calendar/calendar-min.js"></script>

</head>

<body class="PopupView" onLoad="OnLoad()" onUnload="OnUnload()" onMouseUp="OnMouseUp()" id="body" style="display: none;">
  <form name="properties" action="<#SubmitURL>" method="post" enctype="multipart/form-data" >
    <div id="PopupHeader">
<script type="text/javascript">
  var sTmp, sIcon, sLabel = (typeof(_oActionType) !== "undefined") ? _oActionType.psName : "<#AssociationData id="typename">";
  if (_bCreatingNew) {
    sTmp = sSetParametersIntoTranslatedStr(
                 sDecodeURI(
                   '<#LocalizedTextMessage id="Create $0">'), '$', [sLabel]);
    sIcon = "header_icon_create.png";
  }
  else
  {
    sTmp = sSetParametersIntoTranslatedStr(
                 sDecodeURI(
                   '<#LocalizedTextMessage id="Modify $0">'), '$', [sLabel]);
    sIcon = "header_icon_modify.png";
  }
  document.write('<img src="<#PortalImageFileLocation>' + sIcon + '" /><h1>');
  document.write(sTmp);                     
</script>
      </h1>

<script type="text/javascript">
  function NOutputAssociationOption(viAssociationType, vsLabel)
  {
    if (_iAssociationTypeId == viAssociationType)
      return '<option value=' + viAssociationType + ' selected="selected">' + vsLabel + '</option>';
    return '<option value=' + viAssociationType + '>' + vsLabel + '</option>';
  }
  if (_bCreatingNew && _oActionType) {
    var i, sTmp = "";
    for (i = 0; i < _arActionTypes.length; ++i) {
      var oType = _arActionTypes[i];
      if (!oType.pbIsHiddenActionType)
        sTmp = sTmp + NOutputAssociationOption(oType.piId, oType.psName);
    }
    
    sTmp = "<span id='PopupHeaderToolbar'><#LocalizedText id="Action type:">&nbsp;" +
           "<select name='ActionType' size='1' style='width: 121px; font-weight: normal;' onChange='OnActionTypeChanged();'>" +
             sTmp +
           "</select></span>";
    document.write(sTmp);
  }
</script>
    </div>

    <div class="PopupContent">
      <table class="GroupedPropertyForm" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <!-- left start -->
          <td valign="top" width="60%">
            <#ForEachAssociationAttributeGroup LayoutPosition="Left" Template="associationattributeeditorgroup.tpl">
          </td>
          <!-- left end -->
          <!-- right start -->
          <td class="NotFirstColumn" valign="top">
            <#ForEachAssociationAttributeGroup LayoutPosition="Right" Template="associationattributeeditorgroup.tpl">
  
            <div id="publishto" class="PropertyFormGroupWrapper">
              <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0">
                <caption>
                  <#LocalizedText id="Publish To">
                </caption>
                <tr id="trPublishForLinkedElements">
                  <td>
                  	<input type="radio" name="PublishFor" value="3" id="inputPublishForLinkedElements" onclick="OnPublishForChanged()">
                  	<#LocalizedText id="Users of linked elements">
                  </td>
                </tr>
                <tr>
                  <td>
                  	<input type="radio" name="PublishFor" value="0" onclick="OnPublishForChanged()" checked>
                  	<#LocalizedText id="Me only">
                  </td>
                </tr>
                <tr>
                  <td>
                  	<input type="radio" name="PublishFor" value="1" onclick="OnPublishForChanged()">
                  	<#LocalizedText id="Everyone">
                  </td>
                </tr>
                <tr>
                  <td>
                  	<input type="radio" name="PublishFor" value="2" onclick="OnPublishForChanged()">
                  	<#LocalizedText id="Selected users">
                	  <input type="button" class="Button" name="Users" value="<#LocalizedText id="Users">" onClick="OnUsersClick()" style="width: 85px">
                  </td>
                </tr>

					<tr>
                  <td visible ="false">
					<script>
                          if((<#AssociationType> != 18))
						  document.write('<input type="checkbox" name="InformResponsible" onclick="javascript: OnPublishForChanged();"/> <#LocalizedText id="Notify via e-mail">');
                     </script>
					 </td>
          			</tr>
              </table>
            </div>
  
            <div id="attachments" class="PropertyFormGroupWrapper" <#HasAttribute attributes="ChildActions" false="style=\"display: none\"">>
              <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0">
                <caption>
                  <#LocalizedText id="Attachments">
                </caption>
                <tr>
                  <td>
                 	  <select name="lstAttachments" size="4" onchange="javascript:OnAttachmentsChange();" onDblClick="javascript:OnEditAttachments();" style="width: 100%; margin-bottom: 6px;">
                 	  </select>
                    <br/>
                 	  <input type="button" class="ButtonLeft" value="<#LocalizedText id="Add">" onclick="javascript:OnAddAttachments();"/>
                    <input type="button" class="ButtonRight" name="DeleteButton" value="<#LocalizedText id="Delete">" onclick="javascript:OnDeleteClicked();"/>
                  </td>
                </tr>
              </table>
            </div>

            <div id="workflows" class="PropertyFormGroupWrapper" style="display: none">
              <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0">
                <caption>
                  <#LocalizedText id="Workflows">
                </caption>
                <tbody id="tbodyWorkflows">
                </tbody>
              </table>
            </div>
          </td>
          <!-- right end -->
        </tr>
      </table>
  
      <span style="display: none;">
        <input type="hidden" name="ATTIDS" value="">
        <input type="hidden" name="USRS" value="">
        <input type="hidden" name="PUBTYPE" value="0">
      </span>
  
<script type="text/javascript">
  var _bShowNewFooter = "<#AssociationData id="id">" != "";
</script>
    </div>

    <div id="DetailsFooter">
      <input type="button" class="ButtonRight" value="<#LocalizedText id="Help">" onClick="javascript:OpenHelpView()" />
      <input id="btnCancel" type="button" class="ButtonRight" value="<#Cancel>" onClick="javascript: window.parent.close()" />
      <input id="btnOk" type="button" class="ButtonRight" name="Ok" value="<#LocalizedText id="OK">" onClick="javascript:OnOkButtonClick()" />
      <table>
        <tr>
          <td><#LocalizedText id="Created by">:</td>
          <td id="tdCreator"></td>
        </tr>
        <tr>
          <td><#LocalizedText id="Last Modified by">:</td>
          <td id="tdModifier"></td>
        </tr>
        <tr id="trChangeLog">
          <td><#LocalizedText id="Change log">:</td>
          <td>
<script type="text/javascript">
    document.write(sGetButtonHTML("<#LocalizedText id="Show">", "javascript:OnOpenChangeLog()"));
</script>
          </td>
        </tr>
      </table>
    </div>

<script type="text/javascript">
function InitializeFooter()
{
  var sCreatorHTML, sModifierHTML;

  if ("<#AssociationData id="id">" === "") {
    sCreatorHTML = "<#CurrentUser> - <#CurrentDate>";
    sModifierHTML = "<#CurrentUser> - <#CurrentDate>";
  }
  else {
    sCreatorHTML = "<#AssociationData id="creator.prettyname"> - <#AssociationData id="createddate">";
    sModifierHTML = "<#AssociationData id="modifier.prettyname"> - <#AssociationData id="modifieddatetime">";
  }
  
  document.getElementById("tdCreator").innerHTML = sCreatorHTML;
  document.getElementById("tdModifier").innerHTML = sModifierHTML;

  if (<#IsChangeLogEnabled true="false" false="true">)
    document.getElementById("trChangeLog").style.display = "none";
}

InitializeFooter();
</script>

  <#Include template="linkedworkflowtickets.tpl">

  </form>
</body>
</html>
<!-- [QPRTemplateEnd: associationeditorview.tpl] -->
