<!DOCTYPE html>
<!-- [QPRTemplateStart: bookletpageitemproperties.tpl] -->
<html>
  <head>
    <#Title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <link href="<#CSSFileLocation>booklet<#IsRTL true="_rtl">.css" rel="styleSheet" type="text/css" />
    <#PortalScript>
    <script type="text/javascript">
      if (self.parent.screenY) {
        self.parent.moveTo(self.parent.screenX, self.parent.screenY - 150);
      } else {
        if (self.parent.screenTop) {
          self.parent.moveTo(self.parent.screenLeft, self.parent.screenTop - 150);
        }
      }
      ResizePopupWindow(400, 750);
      function sTrim(s) {
        var iPos, iLen;
      
        iLen = s.length;
        while (s.charAt(0) == ' ')
          s = s.substring(1, iLen);
      
        iLen = s.length - 1;
        while (s.charAt(iLen) == ' ') {
          s = s.substring(0, iLen);
          iLen = s.length - 1;
        }
      
        return s;
      }
	    
      function bIsInteger(s)
      {
        var cTemp;
        var iTemp;
        
        s = sTrim(s);
        for (var iCount = 0; iCount < s.length; iCount++) {
          cTemp = s.charAt(iCount);
          if ((cTemp < '0') || (cTemp > '9'))
            return false;
        }
        iTemp = parseInt(s);
        return !isNaN(iTemp);
      }
      
      function bValidate()
      {
        var frmTemp = document.formPageItemProperties;
        var oTemp;
        
        for (var i = 0; i < frmTemp.elements.length; i++) {
          oTemp = frmTemp.elements[i];

          if ((oTemp.name) && (
		(oTemp.name == 'MODELID') || 
		(oTemp.name == 'OBJECTID') ||
	        (oTemp.name == 'WIDTH') || 
		(oTemp.name == 'HEIGHT') ||
		(oTemp.name == 'MOD') || 
		(oTemp.name == 'OBJ') ||
	        (oTemp.name == 'W') || 
		(oTemp.name == 'H') ||
		(oTemp.name == 'PER') || 
		(oTemp.name == 'PAT') ||
	        (oTemp.name == 'IPE') || 
		(oTemp.name == 'IPA') ||
		(oTemp.name == 'PEA') || 
		(oTemp.name == 'PEB') ||
	        (oTemp.name == 'PEL') || 
		(oTemp.name == 'VIE') ||
		(oTemp.name == 'PA0') || 
		(oTemp.name == 'PA1') ||
	        (oTemp.name == 'PA2') || 
		(oTemp.name == 'PA3') ||
		(oTemp.name == 'PA4') || 
		(oTemp.name == 'PA5') ||
	        (oTemp.name == 'PA6') || 
		(oTemp.name == 'PA7') ||
		(oTemp.name == 'PA8') || 
		(oTemp.name == 'PA9')) &&
            (oTemp.value) && (oTemp.value != '') && (!bIsInteger(oTemp.value)) && 
            (!(((oTemp.value >= -3) && (oTemp.value <= -1)) && ((oTemp.name == 'IPE') ||
                                       (oTemp.name == 'PEA') ||
                                       (oTemp.name == 'PER') ||                                       
                                       (oTemp.name == 'PEB') ||
                                       (oTemp.name == 'PEL'))))) {
   		      oTemp.focus();
   		      alert(sDecodeURI('<#LocalizedTextMessage id="One of the parameters has invalid value.">'));
            return false;
          }
        }
        return true;
      }
      
      function submitChanges()
      {
        if (bValidate())
          document.formPageItemProperties.submit();
      }
      
      function openBookletHelp()
      {
	      OpenHelpWindow(sDecodeURI('<#BookletHelpURL>?briefingitemproperties.htm'));
      } 

      function OnLoad()
      {
        init();
        InitializeResizeHandlerForPopup(window);      
      }

      function init() {
        document.forms['formPageItemProperties'].elements['<#ItemNameID>'].focus();
      }
      
      function openWindow(sURL, sName, iWidth, iHeight) 
      {
        var win = window.open(sURL, sName, 'copyhistory=no,menubar=no,toolbar=no,location=no,directories=no,resizable=yes,scrollbars=no' + ',width=' + iWidth + ',height=' +iHeight);
        win.focus();
      }
      
      function openPreview() {
        var sName;
      	var sURL = '<#PreviewURL>';
      	
      	if (!bValidate())
      	  return;
      	
        var form = document.forms['formPageItemProperties'];
      	
      	for (var i=0; i < form.elements.length; i++){
      	  sName = form.elements[i].name;
      	  
      	  if ((sName.length > 0) && !(sName == '<#PropertiesID>')) {
      	    sValue = form.elements[i].value;
      	    
      	    if (sValue.length > 0) {
      	      sURL = sURL + '&' + sName + '=' + sEncodeURI(sValue);
	    }
	  }
        }       

      	var win = window.open(sURL, 'ItemPreviewWindow');
      	win.focus();
      }
    </script>
  </head>
  <body onLoad="javascript: OnLoad();" style="margin-top: 0;">

    <form action="<#PropertiesURL>" name="formPageItemProperties" method="post">
      <table border="0" cellspacing="4" cellpadding="0" width="100%" height="1">
        <tr>
          <td class="ElementTitle">&nbsp;&nbsp;<#LocalizedText id="Briefing Item Properties"> - <#ItemName></td>
        </tr>
        <tr>
          <td class="TableCellPaddingBackground">
            <table border="0" cellpadding="2" cellspacing="1" nowrap="true" width="100%" height="1">
              <tr height="1%" class="ControlGroup">
                <td>
               
                      <table width="100%" border="0" cellpadding="2" width="100%" height="1">
                        <tr>
                          <td><b><#LocalizedText id="Name">:</b></td>
                        </tr>
                        <tr>
                          <td><input type="text" readonly="true" style="width: 300px" size="24" name="<#ItemNameID>" maxlength="255" value="<#ItemName>"></td>
                        </tr>
                        <tr>
                          <td></td>
                        </tr>

                        <tr>
                          <td><b><#LocalizedText id="Parameters">:</b></td>
                        </tr>
                        <tr height="25">
                          <td height="25">
                            <table border="0" cellpadding="0" cellspacing="0" width="190">
                              <#Parameters>
                            </table>
                          </td>
                        </tr>
                        <tr>
                          <td><input type="button" style="width: 100px" value="<#LocalizedText id="Preview">" OnClick="javascript: openPreview()"></td>
                        </tr>
                        <tr height="10">
                          <td align="<#IsRTL true="left" false="right">" height="10"></td>
                        </tr>
                      </table>
                </td>
              </tr>
            </table>
        </td>
        </tr>
        <tr>
          <td align="<#IsRTL true="left" false="right">">
            <input type="hidden" name="<#PluginNameID>" value="<#PluginName>"/>
            <input type="hidden" name="<#DataItemNameID>" value="<#DataItemName>"/>
            <input type="hidden" name="<#PropertiesID>" value="<#LocalizedText id="OK">"/>
            <input type="button" style="width: 100px" value="<#LocalizedText id="OK">" name="<#PropertiesID>" OnClick="javascript: submitChanges();"/>
            <input type="button" style="width: 100px" value="<#LocalizedText id="Cancel">" OnClick="javascript: window.close()"/>
            <input type="button" style="width: 100px" value="<#LocalizedText id="Help">" OnClick="javascript: openBookletHelp();">
          </td>
        </tr>
      </table>
    </form>
  </body>
</html>
<!-- [QPRTemplateEnd: bookletpageitemproperties.tpl] -->
