<!DOCTYPE html>
<!-- [QPRTemplateStart: messageview.tpl] -->
<html>
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <#stylesheet>

    <#PortalScript>

<script type="text/javascript">
  function getHelpContext() { return "<#HelpContext>"; }

  var _bResize = false;
  var _iOrigWidth;
  var _iOrigHeight;
  var _bAssociationNotified = false;
  var _bBookmarkNotified = false;

  function OnBookmarkChanged(vsHeader, vsSubHeader, vsParams)
  {
    _bBookmarkNotified = true;
    var oFrame;
    if (bHasValidOpener(window.top) && bExists(window.top.opener.refreshBookmarks))
      oFrame = window.top.opener;
    else
      oFrame = oGetMainView();

    if (oFrame && bExists(oFrame.refreshBookmarks))
      oFrame.refreshBookmarks(vsHeader, vsSubHeader, vsParams);
    OnClose();
  }

  function OnAssociationCreated(vbRefreshHierarchy, viAssociationId, vsDetailsUrl)
  {
    _bAssociationNotified = true;
    var oOpener = window.top.opener;
    if (bHasValidOpener(window.top)) {
      if (oOpener.OnAssociationCreated)
        oOpener.OnAssociationCreated(vbRefreshHierarchy, viAssociationId, vsDetailsUrl);
      else if (oOpener.oGetInformationView && oOpener.oGetInformationView().OnAssociationCreated)
        oOpener.oGetInformationView().OnAssociationCreated(vbRefreshHierarchy, viAssociationId, vsDetailsUrl);
    }
  }

  function OnAssociationModified(vbRefreshHierarchy)
  {
    _bAssociationNotified = true;
    var oOpener = window.top.opener;
    if (bHasValidOpener(window.top) && oOpener.OnAssociationModified)
      oOpener.OnAssociationModified(vbRefreshHierarchy);
  }

  function OnAssociationDeleted(vbRefreshHierarchy)
  {
    _bAssociationNotified = true;
    var oOpener = window.top.opener;
    if (bHasValidOpener(window.top) && oOpener.OnAssociationDeleted)
      oOpener.OnAssociationDeleted(vbRefreshHierarchy);
    OnClose();
  }

  function OnClose()
  {
    window.top.close();
  }

  function OnLoad() 
  {
    <#OnLoad>
  }

  function OnUnload() 
  {
    if (!_bAssociationNotified && !_bBookmarkNotified) 
      OnAssociationModified(true);

    if (_bResize == true)
    {
      ResizePopupWindow(_iOrigWidth, _iOrigHeight);
      _bResize = false;
    }
  }

  function Resize(viWidth, viHeight) 
  {
    if (CheckNavigator() == IE)
    {
      _iOrigWidth = document.body.clientWidth;
      _iOrigHeight = document.body.clientHeight;
    }
    else
    {
      _iOrigWidth = window.innerWidth;
      _iOrigHeight = window.innerHeight;
    }
    ResizePopupWindow(viWidth, viHeight);
    _bResize = true;
  }
  
  function oGetMessage()
  {
    return {
      "caption" : $("#tdCaption").text(),
      "message" : $("#tdMessage").text()
    };
  }
</script>
 </head>

  <body class="MessageView" onLoad="javascript:OnLoad()" onUnload="javascript:OnUnload()">
    <div id="PropertyListWrapper" class="PropertyList">
      <table width="100%">
        <caption id="tdCaption"><#Caption></caption>
        <tr>
          <td align="center">
            <table>
              <tr>
                <td id="tdMessage"><#Message></td>
              </tr>
              <tr>
                <td align="<#IsRTL true="left" false="right">">
                  <#Button1>
                  <#Button2>
                  <#Button3>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </div>
  </body>
</html>
<!-- [QPRTemplateEnd: messageview.tpl] -->
