<!DOCTYPE html>
<!-- [QPRTemplateStart: printview.tpl] -->
<html>
  <head>
    <title><#User> (<#Date> <#Time>)</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#charset>">    
    <#PortalScript>
    <script type="text/javascript" src="<#CommonScriptFileLocation>printutils.js"></script>
    <#stylesheet>
    <style type="text/css">
      html {
        overflow: hidden;
        overflow-y: hidden;
        overflow-x: hidden;
      }

      body {
        overflow: hidden;
      }
    </style>
    <script type="text/javascript">
      function ThisIsAPrintFrame()
      {
      }

      function OnPrint()
      {
        var oPrintView = $('#PrintView')[0], oContentDocument;
        oPrintView = oPrintView.contentWindow ||
                     oPrintView.contentDocument.window;
        oPrintView.focus();

        var bPrintSuccess = false;
        if (bExists(oPrintView.OnPrint)) {
          oPrintView.OnPrint();
          bPrintSuccess = true;
        } else if (bExists(oPrintView.bDefaultOnPrint))
          bPrintSuccess = oPrintView.bDefaultOnPrint();

        if (!bPrintSuccess)
          try {
            oContentDocument = oGetViewFrameContent(oPrintView);
            if ( oContentDocument && oContentDocument.print )
              oContentDocument.print();
            else
              oPrintView.print();
          } catch (e) {
            window.print();
          }
      }

      var _bPrintDialogRequested, _bPrintedViewRequested;

      function OnLoad()
      {
        if (!_bPrintedViewRequested)
        {
          var sURL = '<#URL>';
          if (sURL.indexOf('.html') == -1)
            sURL = sSetParameter('DPMODE', '0', sURL, true);

          OpenView(sURL, "PrintView");
          _bPrintedViewRequested = true;
        }

        if (_bPrintDialogRequested) {
          return;
        }

        _bPrintDialogRequested = true;
        PollPrintView();
      }

      function PollPrintView()
      {
        var oOverlay = $('#Overlay'), oPrintView = $('#PrintView')[0];

        // Copy background color from .MainView #ContentWrapper
        $('<div>').addClass('MainView').prependTo('body').each(function() {
          $('<div>').attr('id', 'ContentWrapper').appendTo(this)
                    .each(function() {
            oOverlay.css('background-color', $(this).css('background-color'));
          });
        }).remove();

        // Prepare and show the Please wait -div
        oOverlay.fadeTo(0, 0.75).css('display', 'inline')
                .children().each(function() {
          var oWaitBlock = $(this), iTotalWidth = 10, iMaxHeight = 0;
          oWaitBlock.children().each(function() {
            iTotalWidth += $(this).outerWidth();
            if ( $(this).outerHeight() > iMaxHeight )
              iMaxHeight = $(this).outerHeight();
          });

          oWaitBlock.width(iTotalWidth).height(iMaxHeight);
          oWaitBlock.children('div').each(function() {
            $(this).css('margin-top',
                        ((iMaxHeight - $(this).height()) / 2) + 'px');
          });
        });

        // Start polling
        function oPrintViewContent() {
          return oGetViewFrameContent(oPrintView.contentWindow ||
                                      oPrintView.contentDocument.window);
        }

        function Poll()
        {
          var oWindow = oPrintViewContent();

          if ( !oWindow ||
               // Simple check that utils.js has been loaded, and thus
               // Javascript is running
               !oWindow.ACT_PARAM_SESSION_ID ||
               oWindow.document.location.href ==
                 '<#PageFileLocation>empty.html' ||
               bContentWillBeReloaded(oWindow) ||
               !bContentLoaded(oWindow) ||
               !bTestDomOperation(oWindow) )
            setTimeout(Poll, 200);
          else {
            oOverlay.hide();
            setTimeout(OnPrint, 3000);
          }
        }

        Poll();
      }
    </script>
    <#Include template="jsutils.tpl">
  </head>

  <body onload="OnLoad()" style="width: 100%; height: 100%">
    <iframe id="PrintView" name="PrintView" src="<#PageFileLocation>empty.html"
            frameborder="0" scrolling="1"
            style="margin: 0px; border: 0px; padding: 0px; width: 100%; height: 100%"></iframe>
    <div id="Overlay"
         style="display: none; position: absolute; z-index: 2; left: 0px; top: 0px; width: 100%; height: 100%; text-align: center;">
       <div style="position: relative; top: 47%; margin-left: auto; margin-right: auto;">
          <img src="<#ImageFileLocation>/please_wait.gif" alt="" border="0"
               style="position: relative; float: <#IsRTL true="right" false="left">;">
          <div style="position: relative; float: <#IsRTL true="left" false="right">;"
               class="PrintViewPleaseWait">
            <#LocalizedText id="Please wait">
          </div>
       </div>
     </div>
  </body>
</html>
<!-- [QPRTemplateEnd: printview.tpl] -->
