<!DOCTYPE html>
<!-- [QPRTemplateStart: measureanalysisframeview.tpl] -->
<#SetTemplateParameter id="OQ_attribute" value="measures">
<#SetTemplateParameter id="OQ_configuration" value="measureanalysisfields.ini">
<#SetTemplateParameter id="OQ_sort" value="-lastmodifieddate,name">
<#SetTemplateParameter id="OQ_fields" value="header,scorecard,owner,prettyvalueandperiod,rangecolor,trendicon">
<#SetTemplateParameter id="OQ_templategroup" value="scorecard">

<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>
    <script type="text/javascript">
      var _sDefaultQueryFields = "<#Parameter id="OQ_fields">";
      var _sDefaultQuerySortBy = "<#Parameter id="OQ_sort">";
      var _consts = {
        sViewSettingsGroup : "SCPLUGIN_analysis",
        sNativeTab : "scorecards",
        sNativePage1 : "SCPLUGIN_analysis",
        sHelpContext1 : "sc_analysis.htm",
        sRootName : "<#Object attribute="prettyname" enc="js">  <#PendingValueUpdatesWarning>"
      };
    </script>
    <script type="text/javascript" src="<#ScriptFileLocation>resizabletable.js"></script>
    <script type="text/javascript" src="<#CommonScriptFileLocation>analysisview.js"></script>

<#Include template="jsportaltoolbarutils.tpl">
<#Include template="jsobjectqueryutils.tpl">
<#Include template="jsobjectqueryscutils.tpl">
<#Include template="jsutils.tpl">

    <script type="text/javascript" src="<#CommonScriptFileLocation>jquery.form.js"></script>

<script type="text/javascript">
<#Include template="sc_jsviewutils.tpl">

  function OnSubmitEditedValues()
  {
    SubmitMeasureValues();
  }

  function sGetViewType()
  {
    return "<#LocalizedTextMessage id="Analysis view">";
  }

  function sGetRootName()
  {
    return sGetPureRootName() + ' <#PendingValueUpdatesWarning>';
  }

  function sGetPureRootName()
  {
    return "<#Object attribute="prettyname" enc="js">";
  }

  function sGetBookmarkDefaultName()
  {
    var sBookmarkName = "<#LocalizedText id="Analysis view" enc="js">";
    var sObjectName = sGetPureRootName();
    if (sObjectName.length > 0)
      sBookmarkName = sObjectName + " (" + sBookmarkName + ")";
    return sBookmarkName;
  }

  function sGetHeaderViewRightHTML()
  {
    return "<#LocalizedText id="Period:">&nbsp;<a href='javascript:oGetInformationViewFrame().OpenPeriodSelectionViewFromToolbar()'><#PeriodName></a>&nbsp;&nbsp;&nbsp;" +
           "<#LocalizedText id="Series:">&nbsp;<a href='javascript:oGetInformationViewFrame().OpenSeriesSelectionViewFromToolbar()'><#SeriesName></a>&nbsp;&nbsp;&nbsp;" +
           "<#LocalizedText id="View:">&nbsp;<#ViewSettingsName>";
  }
  
  
  function sGetLocalToolbarHTML()
  {
    return (_bEditingValues ? "" : (sGetDesignerButtonHTML() +
                                    sGetPeriodToolbarButtonHTML(true) +
                                    sGetSeriesToolbarButtonHTML(true))) +
           (<#HasRightstoEditValues true="true" false="false"> ? sGetEditSubmitButtonHTML() : "");
  }

  function sGetTableHeaderExtraInfo()
  {
    return "<span class='NormalText'><#LocalizedText id="Period:">&nbsp;<#PeriodName>&nbsp;&nbsp;&nbsp;<#LocalizedText id="Series:">&nbsp;<#SeriesName></span>";
  }

  function sGetDrillThroughCaption()
  {
    var oRecursive1 = document.getElementById('Recursive1');
    var oRecursive2 = document.getElementById('Recursive2');

    oRecursive1.value = 'SC';
    oRecursive2.value = '0';
    document.write('<#LocalizedText id="Drill through scorecards">');
  }

  function sModifyInformationViewUrlForDetailsPane(vsUrl)
  {
    var sCurrentUrl = sGetDocumentLocation();
    if ((sGetPlugin(vsUrl) === sGetPlugin(sCurrentUrl)) && 
        (sGetAction(vsUrl) === "scelemv"))
    {
      vsUrl = sSetParameter("SVS", "2", vsUrl);
      vsUrl = sSetParameter("DEP", "1", vsUrl);
    }
    return vsUrl;
  }

  function Reload() { document.location.reload(true); }  

  CopyParametersToHierarchyViewParameters("SCAN_"); 
</script>

  </head>
  
  <body id="body" onLoad="OnLoadEx();" onUnload="OnUnload();">
<#Include template="tabledesigner.tpl">

<#Include template="tableheader.tpl">

<script type="text/javascript">
  var _iTotalMatchCount = -2;
  var _arWidths = new Array(), _arFixedWidths = new Array();
  
  InitializeEditMode();
  InitializeBufferedWriteHTML();
  BD();
  BT("border='0' cellpadding='2' cellspacing='1'");

<#Include template="dynamictableheader.tpl">

    <#ForEach attribute="<#Parameter id="OQ_attribute">" maxcount="50" where="" configuration="<#Parameter id="OQ_configuration">" sort="<#Parameter id="OQ_sort">" fields="<#Parameter id="OQ_fields">">

<#Include template="dynamictablefooter.tpl">

  ET();
  ED();
  document.write(sGetGeneratedHTML());
</script>
        </td>
      </tr>
    </table>
    </form>
<script type="text/javascript">
  document.write(sGetForEachTablePageControls(_iTotalMatchCount, 50));
  if ("<#SettingValue section="SCP Settings" key="EnableHyperLinksForTextValues">" === "1")
    AddHyperlinks(document, true);
</script>
  </body>
</html>
<!-- [QPRTemplateEnd: measureanalysisframeview.tpl] -->
