<!DOCTYPE html>
<!-- [QPRTemplateStart: sc_elementview_graphsettings.tpl] -->
<html>
  <head>
    <title><#LocalizedText id="Graph Settings"> - <#ElementName></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <#Include template="jsutils.tpl">
    <#PortalScript>
    <#stylesheet>
<script type="text/javascript">
  ResizePopupWindow(400,280);

  var iID = null, 
      sLabel = null, 
      sDate = null;
  
  function SubmitSettings()
  {
    var sName;
    var sValue;
    var sURL = '<#ElementViewURL>';
    
    var oForm = document.forms['formElementViewSettings'];

    for (var i=0; i < (oForm.elements.length - 1); i++){
      sName = oForm.elements[i].name;
      sValue = '';

      if (oForm.elements[i].type == "checkbox") {
        if (oForm.elements[i].checked) {
          sValue = '1';
        } else {
          sValue = '0';
        }
      } else {
        if (sName.length > 0) {
          sValue = oForm.elements[i].value;
          if ((sName == 'PERBEF' || sName == 'PERAFT')) {
            var iResult = parseInt(sValue);
            if (isNaN(iResult) || iResult < 0) {                
              alert('<#LocalizedText id="Please use positive numbers in this field">');
              oForm.elements[i].focus();
              return;
            }
          }
        }
      }

      if (sValue.length > 0) {
        sURL = sURL + '&' + sName + '=' + sEncodeURI(sValue);
      }
    }               

    if (sURL.length > 0)
      OpenInformationViewFromInformationView(sURL);
    
    if (iID && sDate)
      UpdateParentView();

    window.close();
  }

  function OpenHelpView()
  {
    OpenHelpWindow('<#HelpFileURL>?graphsettings.htm');
  }

  function OnDefaultChartSettingsChange()
  {
    var oForm = document.formElementViewSettings;
    oForm.PERBEF.disabled = oForm.CHD.checked;
    oForm.PERAFT.disabled = oForm.CHD.checked;
  } 
  
  function OpenPeriodSelectionView()
  { 
    var sExtraParams = "";
    var sPeriodId = sGetParameter("PER", sGetDocumentLocation());
    if (sPeriodId && (sPeriodId != ""))
      sExtraParams = "&PER=" + sPeriodId;

    var sPeriodSelectionURL = "<#PeriodSelectionViewURL>&" + 
                                ACT_PARAM_MODEL + "=" + <#ModelId> + 
                                "&OBJ=" + <#ObjectId>;
    OpenWindow(sPeriodSelectionURL+sExtraParams, "SC_PERIOD", PERIODSELECTIONVIEW_WIDTH, PERIODSELECTIONVIEW_HEIGHT, true);
  }


  function OnPeriodHierarchyClosed(vsLabel, viID, vsDate)
  {
    sLabel = vsLabel;
    iID = viID;
    sDate = vsDate;
    var aPeriod = document.getElementById('aPeriod');
    aPeriod.innerHTML = vsLabel;
  }
  
  function UpdateParentView()
  {
    var oView = oGetInformationView();
    if (oView && oView.bHasDetailsPane())
    oView = oView.oGetView();
    if (oView)
    {
      if (bExists(oView.submitPeriod))
      {
        oView.submitPeriod(iID, sDate);
        return;  
      }
      else if (bExists(oView.<#UserFrameName>) && bExists(oView.<#UserFrameName>.submitPeriod(iID, sDate)))
      {
        oView.<#UserFrameName>.submitPeriod(iID, sDate);
        return;
      }
    }
    if (bExists(oGetHierarchyView().OnPeriodHierarchyClosed)) // I need to execute this only if submitPeriod commands weren't executed.
      oGetHierarchyView().OnPeriodHierarchyClosed(sLabel, iID, sDate);
  }
  
  function OnLoad()
  {
    OnDefaultChartSettingsChange();
    InitializeResizeHandlerForPopup(window);
  }
</script>
  </head>
  <body class="PopupView" style="margin-top: 0;" onload="javascript: OnLoad();">
    <form name="formElementViewSettings" action="<#SettingsViewURL>" method="post">
      <div id="PopupHeader">
        <img src="<#PortalImageFileLocation>header_icon_modify.png" />
        <h1>
          <#LocalizedText id="Graph Settings">
        </h1>
      </div>
      <div class="PopupContent">
        <div class="PropertyFormGroupWrapper">
          <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" width="100%">
            <tr>
              <td valign="top">
                <table border="0" cellpadding="2" cellspacing="0" width="100%">
                  <tr>
                    <td colspan="4">
                      <input type="checkbox" name="CHD" <#IsHistorychartDefaultChecked true=" checked='true'"> onclick="javascript: OnDefaultChartSettingsChange();" />
                      <#LocalizedText id="Use default settings">
                    </td>	
                  </tr>
                  <tr>
                    <td width="6%">
                      &nbsp;
                    </td>
                    <td>
                      <#LocalizedText id="Before">
                    </td>
                    <td>
                      &nbsp;
                    </td>
                    <td>
                      <#LocalizedText id="After">
                    </td>
                  </tr>
                  <tr>
                    <td width="6%">
                      &nbsp;
                    </td>
                    <td>
                      <input type="text" name="PERBEF" align="<#IsRTL true="left" false="right">" value="<#ChartPeriodsBefore>" />
                    </td>
                    <td width="40%" align="center">
                        &nbsp;<a id='aPeriod' href="javascript:OpenPeriodSelectionView()"><#PeriodName></a>&nbsp; 
                    </td>
                    <td align="<#IsRTL true="left" false="right">">
                      <input type="text" name="PERAFT" align="<#IsRTL true="left" false="right">" value="<#ChartPeriodsAfter>" />
                    </td>
                  </tr>
                </table>
                <#HiddenFields>
              </td>
            </tr>
          </table>
        </div>
      </div>
      <div id="DetailsFooter">
        <input class="ButtonRight" type="button" value="<#LocalizedText id="Help">" onClick="javascript: OpenHelpView();">
        <input class="ButtonRight" type="button" value="<#LocalizedText id="Cancel">" onClick="javascript: window.close();">
        <input class="ButtonRight" type="button" name="OK" value="<#LocalizedText id="OK">" onClick="javascript: SubmitSettings();">
      </div>
    </form>
  </body>
</html>
<!-- [QPRTemplateEnd: sc_elementview_graphsettings.tpl] -->
