<!DOCTYPE html>
<!-- [QPRTemplateStart: sc_statusoptionview.tpl] -->
<html>
  <head>
    <title>QPR Portal - <#Title></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">
    <#PortalScript>
    <script type="text/javascript" src="<#CommonScriptFileLocation>jquery.form.js"></script>
    <#stylesheet>
<script type="text/javascript">
ResizePopupWindow(400,500);

function SetStatus(vsId, vsStatusText, vsStatusIconSrc, vsStatusIconSize) {
  var options =  {
      success: function() {
        if (bHasValidOpener(window)) {
          var statusTextId = window.opener.document.getElementById("<#StatusTextId>"); 
          if (statusTextId) {
            if (vsId == 0) {
              statusTextId.innerHTML = '...';
            } else {
              statusTextId.innerHTML = '<img height=' + vsStatusIconSize + ' width=' + vsStatusIconSize + ' src="' + vsStatusIconSrc + '"/>';
            }
          }

          var statusName = window.opener.document.getElementById("<#StatusTextNameId>");
          if (statusName) {
            statusName.innerHTML = vsStatusText;
          }
        }

        window.close();
      }
  };

  $("#STID").val(vsId);
  $('#statusoptions').ajaxSubmit(options);
}
</script>
</head>

<body class="PopupView">
  <script  type="text/javascript">
    InitializeResizeHandlerForPopup(window);
  </script>
  <form id="statusoptions" action="<#StatusOptionViewURL>" method="post">
    <input type="hidden" id="STID" name="STID">
  </form>
    <div id="PopupHeader">
      <img src="<#PortalImageFileLocation>header_icon_select.png" />
      <h1>
        <#LocalizedText id="Select Status">
      </h1>
    </div>
    <div class="PopupContent">
      <table class="GroupedPropertyForm" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td>
            <div class="PropertyFormGroupWrapper">
              <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" width="100%">
                <caption>
                  <#LocalizedText id="Properties">
                </caption>
                <tr>
                  <td style="white-space: nowrap;">
                    <#LocalizedText id="Element Name:">
                  </td>
                  <td>
                    <#MeasureName>
                  </td>
                </tr>
                <tr>
                  <td style="white-space: nowrap;">
                    <#LocalizedText id="Series:">
                  </td>
                  <td>
                    <#PathName>
                  </td>
                </tr>
                <tr>
                  <td style="white-space: nowrap;">
                    <#LocalizedText id="Period:">
                  </td>
                  <td>
                    <#PeriodName>
                  </td>
                </tr>
                <tr>
                  <td style="white-space: nowrap;">
                    <#LocalizedText id="Value:">
                  </td>
                  <td>
                    <#Value>
                  </td>
                </tr>
                <tr>
                  <td style="white-space: nowrap;">
                    <#LocalizedText id="Current Status:">
                  </td>
                  <td>
                    <#ValueStatus>
                  </td>
                </tr>
              </table>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <div class="PropertyFormGroupWrapper">
              <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" width="100%">
                <caption>
                  <#LocalizedText id="Status Available:">
                </caption>
                <tr height="100%" valign="top">
                  <td>
                    <table border="0" cellspacing="0" cellpadding="0" width="100%" align="center">
                      <#StatusOptions>
                    </table>
                  </td>
                </tr>
              </table>
            </div>
          </td>
        </tr>
      </table>
    </div>
    <div id="DetailsFooter">
      <input class="ButtonRight" type="button" value="<#LocalizedText id="Help">" onclick="OpenHelpWindow('<#HelpFileURL>?selectstatusview.htm')">
      <input class="ButtonRight" type="button" value="<#LocalizedText id="Close">" onclick="window.close()">
    </div>
</body>
</html>
<!-- [QPRTemplateEnd: sc_statusoptionview.tpl] -->
